org.apache.storm.multilang

## Class BoltMsg

- java.lang.Object
- - org.apache.storm.multilang.BoltMsg

-     public class BoltMsg
      extends Object

  BoltMsg is an object that represents the data sent from a shell component to a bolt process that implements a multi-language protocol. It is the union of all data types that a bolt can receive from Storm.

  BoltMsgs are objects sent to the ISerializer interface, for serialization according to the wire protocol implemented by the serializer. The BoltMsg class allows for a decoupling between the serialized representation of the data and the data itself.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoltMsg()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getComp()`
    `String` | `getId()`
    `String` | `getStream()`
    `long` | `getTask()`
    `List<Object>` | `getTuple()`
    `void` | `setComp(String comp)`
    `void` | `setId(String id)`
    `void` | `setStream(String stream)`
    `void` | `setTask(long task)`
    `void` | `setTuple(List<Object> tuple)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoltMsg

          public BoltMsg()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getComp

          public String getComp()

    - #### setComp

          public void setComp(String comp)

    - #### getStream

          public String getStream()

    - #### setStream

          public void setStream(String stream)

    - #### getTask

          public long getTask()

    - #### setTask

          public void setTask(long task)

    - #### getTuple

          public List<Object> getTuple()

    - #### setTuple

          public void setTuple(List<Object> tuple)

Copyright © 2021 The Apache Software Foundation. All rights reserved.